- page_title _('Domain Verification')

%h1.page-title.gl-font-size-h-display
  = _('Domain Verification')
  - if can_add_group_domain?(@group)
    = render Pajamas::ButtonComponent.new(variant: :confirm, button_options: { class: 'float-right'}, href: new_group_settings_domain_verification_path(@group)) do
      = s_("DomainVerification|Add Domain")

%p
  = s_('DomainVerification|The following domains are configured for projects in this group. Users with email addresses that match a verified domain do not need to confirm their account.')
  = link_to s_('DomainVerification|How do I configure a domain?'), help_page_path('user/enterprise_user/index.md', anchor: 'verified-domains-for-groups')

- if Feature.enabled?(:domain_verification_operation, @group)
  %table.gl-table.gl-w-full
    %thead
      %tr
        %th= _('Domain')
        %th= _('Source Project')
        %th= _('Verification status')
        %th= _('Actions')
    %tbody
      %tr.js-domain-empty-state{ class: @domains.empty? ? '' : 'gl-display-none' }
        %td{ colspan: 4, class: 'gl-py-6! text-center' }
          = s_("DomainVerification|No domains configured. Create a domain in a project in this group hierarchy.")
      - @domains.each do |domain|
        %tr.js-domain-row{ id: "domain#{domain.id}" }
          %td
            = domain.domain
          %td
            - project = domain.project
            = link_to project.full_path, project_path(project)
          %td
            = domain.verified? ? _('Verified') : _('Unverified')
          %td
            .btn-group
              - if can_verify_group_domain?(domain)
                = render Pajamas::ButtonComponent.new(icon: "redo", href: verify_group_settings_domain_verification_path(@group, domain), button_options: { data: { method: :post } })
              = render Pajamas::ButtonComponent.new(icon: "pencil", href: group_settings_domain_verification_path(@group, domain))
              = render Pajamas::ButtonComponent.new(variant: :danger, icon: "remove", href: group_settings_domain_verification_path(@group, domain), button_options: { data: { confirm: s_("DomainVerification|Are you sure you want to delete this domain?"), confirm_btn_variant: "danger", remote: true, method: :delete, title: s_("DomainVerification|Delete domain") }, 'aria-label': s_("DomainVerification|Delete domain"), class: "js-remove-domain" })
- else
  %table.gl-table.gl-w-full
    %thead
      %tr
        %th= _('Domain')
        %th= _('Project')
    %tbody
      - if @domains.empty?
        %tr
          %td{ colspan: 2, class: 'gl-py-6! text-center' }
            = s_('DomainVerification|No domains configured. Create a domain in a project in this group hierarchy.')
      - @domains.each do |domain|
        %tr
          %td.gl-lg-w-30p{ id: "domain#{domain.id}" }

            = link_to domain.domain, project_pages_domain_path(domain.project, domain.domain)
            - text, status = domain.unverified? ? [_('Unverified'), :danger] : [_('Verified'), :success]
            = gl_badge_tag text, variant: status, size: :sm
          %td
            - project = domain.project
            = link_to project.full_path, project_path(project)
